#ifdef WIN32
	#include "resrc1.h"
	#include <windows.h>
	#include "ECL-PRNG\prng_clib.h"
	BOOL CALLBACK PassFunc(HWND hwndDlg, UINT msg, WPARAM wParam, LPARAM lParam);
#else
	#include "cfgopts.h"
	#include <stdlib.h>
	#include <unistd.h>
	#define ZeroMemory(x,y) memset( &x, 0, y );
	#define stricmp strcasecmp
	#define strnicmp strncasecmp
#endif

#include "DH1080.h"

void initb64();
int decrypt_string(char *key, char *str, char *dest, int len);
int encrypt_string(char *key, char *str, char *dest, int len);

int decrypt_key(char *theData);
int encrypt_key(char *theData);


extern unsigned char B64[];

int b64toh(char *b, char *d);
int htob64(char *h, char *d, unsigned int l);

void SHA256_memory(unsigned char *buf, int len, unsigned char *hash);

//int ExtractRhost(char *Rhost, char *incoming_msg);
int ExtractRnick(char *Rnick, char *incoming_msg);
void FixContactName(char *contactName);
